clear all;clc;
Fe = 44100; % la frequence d'echantillonnage
N = 352800; % Le nombre de points (connu)

Te = 1/Fe; % la période d'échantillonnage
truc = load('son_compresse.txt'); % on charge les données

% récupération des indices, des valeurs réelles et imaginaires de la TF
indices_non_nuls = truc(:,1);
real_TF = truc(:,2);
imag_TF = truc(:,3);

%reconstruction de la TF originale (enfin, la première moitiée seulement.
TF = zeros(N,1);
TF(indices_non_nuls) = real_TF + 1i*imag_TF;
son_reco = real(ifft(TF));

sound(son_reco,Fe); %On joue le son pour voir ce que cela donne

% Le son devient difficile à reconnaitre aux alentours de seuil max/5, quand le fichier pèse 28 Ko à peine.

